Bug 566486 - update it to 1.4
update it to 1.4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gzip (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-18 10:35 EST by acount closed by user
Modified: 2013-03-03 18:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-16 12:58:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2010-02-18 10:35:23 EST
* Noteworthy changes in release 1.4 (2010-01-20) [stable]

** Bug fixes

  gzip -d could segfault and/or clobber the stack, possibly leading to
  arbitrary code execution.  This affects x86_64 but not 32-bit systems.
  This fixes CVE-2010-0001.
  For more details, see http://bugzilla.redhat.com/554418

  gzip -d would fail with a CRC error for some valid inputs.
  So far, the only valid input known to exhibit this failure was
  compressed "from FAT filesystem (MS-DOS, OS/2, NT)".  In addition,
  to trigger the failure, your memcpy implementation must copy in
  the "reverse" order.
Comment 1 Karel Klíč 2010-02-18 10:51:24 EST
Thanks for the info. I'll update it.

We already patched gzip to fix CVE-2010-0001 in all Fedora releases, so the current version is not vulnerable.
Comment 2 acount closed by user 2010-03-16 07:53:14 EDT
ping...
Comment 3 Karel Klíč 2010-03-16 12:58:06 EDT
rawhide package has been updated

Note You need to log in before you can comment on or make changes to this bug.